# Nivelul fizic

Nivelul fizic se referă la protocoalele și tehnicile utilizate pentru a permite
schimbul de informații. Schimbul de informații se face peste un **mediu de
transmisie** (link).

Exemple de medii de transmisie:
- wireless
- cablu electric
- fibră optică
- semnale de fum

![](images/smoke-signal.gif)

În cazul comunicației prin cablu, nivelul fizic se ocupă cu codificarea biților
în semnale electrice. Un exemplu de codificare este următoarea:

Transmițător (Sender):
- **la fiecare milisecundă** cablul electric va fi conectat la 5V pentru a transmite bitul 1 și la 0V pentru a transmite bitul 0.

Receptor (Receiver):
- la fiecare milisecundă va măsura tensiunea de pe fir

![](images/2_28.png)

---

**Rata de transmisie (bit rate)** reprezintă numărul de biți transmiși pe
secundă. În exemplul cu cablul electric, rata de transmisie este de 1000 de biți pe
secundă.

---
