# Ce se foloseste in Internet?

## Ethernet

Pentru acest nivel din stiva de internet intalnim foarte des protocolul Ethernet. Ethernet a fost dezvoltat la Xerox PARC între 1973 și 1974 ca mijloc de a permite computerelor Alto să comunice între ele. A fost inspirat de ALOHAnet, pe care Robert Metcalfe îl studiase ca parte a dizertației sale de doctorat și inițial se numea Alto Aloha Network.

Antetul (header-ul) utilizat de protocol este mai complex decât cel pe care îl vom dezvolta noi astăzi:

![](images/ethernet_header.png)

In Ethernet avem un delimitator de cadru (frame) sub forma unui preambul si un Interpacket gap, care este o perioada de liniste pe cablu. Mai jos putem vedea o captură a semnalului electric transmis printr-un cablu Ethernet, folosind un osciloscop:

![](images/ethernet_osciloscope.png)

Ce este interesant este faptul ca exista o delimitare, avem Ethernet Layer 1 ce contine tot cadrul, inclusiv preambulul si IGP-ul (o perioada de liniste). In schimb, exista o a doua reprezentare, nivelul 2 de Ethernet ce contine doar datele ce sunt folosite pentru functionalitatile de nivel mai inalt ale protocolului cum ar fi identificarea destinatiei sau coruperea datelor. 

Ceea ce este interesant este că există o delimitare clară: avem nivelul 1 de Ethernet, care include întregul cadru, inclusiv preambulul și IGP-ul (o perioadă de inactivitate). Pe de altă parte, există o a doua reprezentare la nivelul 2, care conține doar datele utilizate pentru funcționalitățile logice ale protocolului, cum ar fi identificarea destinației sau detectarea corupției datelor.

## Infiniband

O alternativa la Ethernet care se regaseste in datacentere este Infiniband.InfiniBand a luat naștere în 1999 din fuziunea a două proiecte concurente: Future I/O și Next Generation I/O (NGIO). NGIO a fost dezvoltat sub conducerea Intel, cu o specificație lansată în 1998, fiind susținut ulterior de Sun Microsystems și Dell. Future I/O a fost sprijinit de Compaq, IBM și Hewlett-Packard. Această situație a dus la înființarea Asociației Comerciale InfiniBand (IBTA), care reunea atât producători de hardware din ambele grupuri, cât și furnizori de software precum Microsoft. La vremea respectivă, se considera că unele dintre cele mai performante calculatoare se apropiau de limitele de interconectare ale magistralei PCI, în ciuda îmbunătățirilor precum PCI-X. Versiunea 1.0 a Specificației Arhitecturii InfiniBand a fost lansată în 2000.

In Infiniband este folosit simbolul `SLP`, Start of Link Packet Delimiter, cu encodarea K28.2 si `EGP`, End of Good Packet Delimiter cu encodarea `K29.7` pentru delimitarea cadrelor.