## struct sockaddr_in

``` C
#include <netinet/net.h>
   
/* tip de date pentru a retine adresa unui socket in cazul comunicatiei prin Internet
 * are nevoie de un numar de port si adresa IP a calculatorului
 */
struct sockaddr_in {
  unsigned short sin_family;
  unsigned short int sin_port;
  struct in_addr sin_addr;
}
```

Explicatii:
 
* `sin_family` - indică formatul particular de adresa: AF_INET (protocolul IPv4), AF_INET6 (protocol IPv6)  
* `sin_port` - portul utilizat în NETWORK BYTE ORDER  
* `sin_addr` - adresa IP în NETWORK BYTE ORDER
