# Sockets

În cadrul laboratorului nu vom implementa protocolul UDP, ci vom folosi
implementarea existentă din Kernel-ul de Linux. Acest lucru se realizează prin
intermediul API-ului de sockets. Network stack-ul din Linux se ocupă de parsarea
și interactiunea cu datagramele UDP, nouă returnând-se doar conținutul
datagramei.

Un socket este un canal generalizat de comunicare între procese, reprezentat în
Linux/UNIX print-un descriptor de fișiere.  El ofera posibilitatea de comunicare între
procese aflate pe masini diferite într-o retea.

API-ul de sockets poate fi folosit și pentru IPC (Inter-Process Communication) între procese ce rulează pe aceeași mașină,
prin specificarea adresei de loopback sau a unei interfețe existente pe mașină.

![](images/processes.png)
